// Code technique, éviter de modifier
parser = new DOMParser();
function insertXsl(data, transfo, nodeid){
  xsltProcessor = new XSLTProcessor();
  xsltProcessor.importStylesheet(transfo);
  html = xsltProcessor.transformToFragment(data, document);
  document.getElementById(nodeid).appendChild(html);
}

groupesxml = parser.parseFromString(`
<groupes>
  <groupe genre="boysband">
    <nom>Justin Bieber</nom>
    <pays>Canada</pays>
    <lien>http://www.justinbiebermusic.com</lien>
    <membres>
      <membre>
        <nom>Justin Bieber</nom>
        <datenaissance>01/03/1994</datenaissance>
        <instruments>
          <instrument>chant</instrument>
          <instrument>piano</instrument>
          <instrument>guitare</instrument>
          <instrument>batterie</instrument>
          <instrument>trompette</instrument>
        </instruments>
      </membre>
    </membres>
  </groupe>
  <groupe genre="boysband">
    <nom>One Direction</nom>
    <pays>Royaume-Uni</pays>
    <pays>Irlande</pays>
    <lien>http://www.onedirectionmusic.com</lien>
    <membres>
      <membre>
        <nom>Niall Horan</nom>
        <datenaissance>13/09/1993</datenaissance>
        <instruments>
          <instrument>chant</instrument>
        </instruments>
      </membre>
      <membre>
        <nom>Liam Payne</nom>
        <datenaissance>29/08/1993</datenaissance>
        <instruments>
          <instrument>chant</instrument>
        </instruments>
      </membre>
      <membre>
        <nom>Louis William Tomlinson</nom>
        <datenaissance>24/12/1991</datenaissance>
        <instruments>
          <instrument>chant</instrument>
        </instruments>
      </membre>
      <membre>
        <nom>Harry Styles</nom>
        <datenaissance>01/02/1994</datenaissance>
        <instruments>
          <instrument>chant</instrument>
        </instruments>
      </membre>
    </membres>
  </groupe>
  <groupe genre="rock">
    <nom>U2</nom>
    <pays>Irlande</pays>
    <lien>http://www.u2.com</lien>
    <membres>
      <membre>
        <nom>Bono</nom>
        <datenaissance>10/05/1960</datenaissance>
        <instruments>
          <instrument>chant</instrument>
          <instrument>guitare</instrument>
        </instruments>
      </membre>
      <membre>
        <nom>The Edge</nom>
        <datenaissance>08/08/1961</datenaissance>
        <instruments>
          <instrument>clavier</instrument>
          <instrument>guitare</instrument>
        </instruments>
      </membre>
      <membre>
        <nom>Adam Clayton</nom>
        <datenaissance>13/03/1960</datenaissance>
        <instruments>
          <instrument>basse</instrument>
        </instruments>
      </membre>
    </membres>
  </groupe>
  <groupe genre="rock">
    <nom>Beatles</nom>
    <pays>Royaume-Uni</pays>
    <lien>http://www.thebeatles.com/</lien>
    <membres>
      <membre>
        <nom> John Lennon</nom>
        <datenaissance>09/10/1940</datenaissance>
        <instruments>
          <instrument>chant</instrument>
          <instrument>guitare</instrument>
        </instruments>
      </membre>
      <membre>
        <nom>Paul McCartney</nom>
        <datenaissance>18/06/1942</datenaissance>
        <instruments>
          <instrument>chant</instrument>
          <instrument>guitare</instrument>
        </instruments>
      </membre>
      <membre>
        <nom>George Harrison</nom>
        <datenaissance>25/02/1943</datenaissance>
        <instruments>
          <instrument>guitare</instrument>
        </instruments>
      </membre>
      <membre>
        <nom>Ringo Starr</nom>
        <datenaissance>07/07/1940</datenaissance>
        <instruments>
          <instrument>batterie</instrument>
        </instruments>
      </membre>
    </membres>
  </groupe>
</groupes>
`, "text/xml");

groupesnoms = parser.parseFromString(`
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="/groupes">
  </xsl:template>
</xsl:stylesheet>
`, "text/xml");

groupesmembres = parser.parseFromString(`
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="/groupes">
  </xsl:template>
</xsl:stylesheet>
`, "text/xml");

groupesdetails = parser.parseFromString(`
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="/groupes">
  </xsl:template>
</xsl:stylesheet>
`, "text/xml");

groupesboysbands = parser.parseFromString(`
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="/groupes">
  </xsl:template>
</xsl:stylesheet>
`, "text/xml");

groupesanglais = parser.parseFromString(`
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="/groupes">
  </xsl:template>
</xsl:stylesheet>
`, "text/xml");

groupesrockliens = parser.parseFromString(`
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="/groupes">
  </xsl:template>
</xsl:stylesheet>
`, "text/xml");
